DiskDirsType (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.cache.configuration, class: DiskDirsType

Package org.apache.geode.cache.configuration

# Class DiskDirsType

java.lang.Object
org.apache.geode.cache.configuration.DiskDirsType

All Implemented Interfaces:
  `Serializable`

@Experimental public class DiskDirsType extends Object implements Serializable
A "disk-dirs" element specifies the region's disk directories.

Java class for disk-dirs-type complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="disk-dirs-type">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="disk-dir" type="{http://geode.apache.org/schema/cache}disk-dir-type" maxOccurs="unbounded"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<DiskDirType>`
  `diskDirs`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DiskDirsType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<DiskDirType>`
  `getDiskDirs()`
  Gets the value of the diskDir property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### diskDirs

    protected List<DiskDirType> diskDirs

- ## Constructor Details

  - ### DiskDirsType

    public DiskDirsType()

- ## Method Details

  - ### getDiskDirs

    public List<DiskDirType> getDiskDirs()
    Gets the value of the diskDir property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the diskDir property.

    For example, to add a new item, do as follows:

         getDiskDirs().add(newItem);

    Objects of the following type(s) are allowed in the list `DiskDirType`

    Returns:
      the `List` of `DiskDirType`s.